name: video_player_avfoundation
description: iOS and macOS implementation of the video_player plugin.
repository: https://github.com/flutter/packages/tree/main/packages/video_player/video_player_avfoundation
issue_tracker: https://github.com/flutter/flutter/issues?q=is%3Aissue+is%3Aopen+label%3A%22p%3A+video_player%22
version: 2.6.2

environment:
  sdk: ^3.3.0
  flutter: ">=3.19.0"

flutter:
  plugin:
    implements: video_player
    platforms:
      ios:
        dartPluginClass: AVFoundationVideoPlayer
        pluginClass: FVPVideoPlayerPlugin
        sharedDarwinSource: true
      macos:
        dartPluginClass: AVFoundationVideoPlayer
        pluginClass: FVPVideoPlayerPlugin
        sharedDarwinSource: true

dependencies:
  flutter:
    sdk: flutter
  video_player_platform_interface: ">=6.1.0 <7.0.0"

dev_dependencies:
  flutter_test:
    sdk: flutter
  pigeon: ^22.4.2

topics:
  - video
  - video-player
